Referencing keywords collide in imported Trac instances

2009-01-27 19:01 - Brad Beattie

Status: Closed Start date: 2009-01-27

Priority: Normal Due date: 2013-02-13

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

1. Work on some Trac instance, making use of repository keyword references

1. Create a pair of tickets, numbered A1 and B1

2. Commit a change summary for revision X like "fixes #A1"

3. Commit a change summary for revision Y like "fixes #B1"

2. Work on some Redmine instance until its ticket count surpasses A1 and B1

3. Import the Trac instance into Redmine

1. Note that Trac's tickets are renumbered to A2 and B2

2. Note that when this project is connected to its repository, old change summaries reference incorrect tickets.

I guess the root of this is that given a sufficiently large set of tickets and commits, there exists a set such that A2 == B1.

A simple solution would be to disable issue references from before the time a project was imported.

History

#1 - 2009-01-31 11:13 - Jean-Philippe Lang

I understand that this situation is problematic but Redmine has no way to know that the ids found in the commit logs (eg. B1) are not Redmine ticket

ids (eg. A2), since A2 == B1.

A simple solution would be to disable issue references from before the time a project was imported.

 You can do that. You just need to empty the 'Referencing keywords' setting, import the repository then re-enable keywords.

#2 - 2013-02-06 10:44 - Daniel Felix

- Due date set to 2013-02-13

- Status changed from New to Needs feedback

Well, this seems not to relate to Redmine itself.

I would set this to "Needs Feedback" until next week. If there is no other conclusion, I'll close this issue.

Best regards,

Daniel

#3 - 2013-03-17 18:14 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

I'm closing this, since there is no feedback on this issue and the issue is very outdated.

Powered by TCPDF (www.tcpdf.org)

2024-04-18 1/1

http://www.tcpdf.org

